共用方式為


Virtual Hub Bgp Connections - List Advertised Routes

擷取虛擬中樞 bgp 連線向指定對等通告的路由清單。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/advertisedRoutes?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
connectionName
path True

string

BGP 連線的名稱。

hubName
path True

string

虛擬中樞的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

Azure 運作順利完成。

202 Accepted

已接受資源作業。

標題

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

VirtualRouterPeerListAdvertisedRoutes

範例要求

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualRouter1/bgpConnections/peer1/advertisedRoutes?api-version=2025-05-01

範例回覆

{
  "RouteServiceRole_IN_0": [
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.45.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.85.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.100.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    }
  ],
  "RouteServiceRole_IN_1": [
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.45.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.85.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    },
    {
      "asPath": "65515",
      "localAddress": "10.85.3.4",
      "network": "10.100.0.0/16",
      "nextHop": "10.85.3.4",
      "origin": "Igp",
      "sourcePeer": "10.85.3.4",
      "weight": 0
    }
  ]
}
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}

定義

名稱 Description
CloudError

來自服務的錯誤回應。

CloudErrorBody

來自服務的錯誤回應。

CloudError

來自服務的錯誤回應。

名稱 類型 Description
error

CloudErrorBody

雲端錯誤內文。

CloudErrorBody

來自服務的錯誤回應。

名稱 類型 Description
code

string

錯誤的識別碼。 程序代碼是不變的,而且是要以程序設計方式取用。

details

CloudErrorBody[]

有關錯誤的其他詳細資料清單。

message

string

描述錯誤的訊息,適用於在使用者介面中顯示。

target

string

特定錯誤的目標。 例如,錯誤中的屬性名稱。